 # -*- coding: utf-8 -*-

# import openerp.addons.decimal_precision as dp

from openerp import api, models, fields

class MrpProduction(models.Model):
    _inherit = 'mrp.production'

    @api.one
    def _eiru_price_unit(self):
        self.prod_price_unit = self.product_price / self.product_qty

    @api.one
    @api.depends('product_id')
    def _product_price_total(self):
        self.product_price = self.product_qty * self.product_id.standard_price

    product_price = fields.Float(
        string='Costo de producción',
        compute='_product_price_total')

    prod_price_unit = fields.Float(
        string='Precio por Unidad',
        compute='_eiru_price_unit')
